/*** Update ec-container heavyTested field ***/

{system/include/sp-allobjects-def.i}

DEF VAR iNumber  AS INT NO-UNDO.
DEF VAR iUpdates AS INT NO-UNDO.

FOR EACH ec-container WHERE
         ec-container.companycode = sp-companycode
         exclusive:
  ASSIGN iNumber = INT(SUBSTRING(ec-container.containernr,1,6)) NO-ERROR.
  IF iNumber > 0
  THEN DO:
    FIND FIRST aa-container_sequence WHERE
               aa-container_sequence.companycode     = sp-companycode
           AND aa-container_sequence.containerprefix = ec-container.containerprefix
           AND aa-container_sequence.number_from    <= iNumber
           AND aa-container_sequence.number_to      >= iNumber
               NO-LOCK NO-ERROR.
    IF   AVAIL aa-container_sequence
     AND ec-container.heavyTested <> aa-container_sequence.heavyTested 
    THEN ASSIGN ec-container.heavyTested = aa-container_sequence.heavyTested
                iUpdates = iUpdates + 1. 
  END.
END. 

MESSAGE iUpdates " record(s) have been updated.".
