/*------------------------------------------------------------------------
  File        : WebApp/EC/BL/InvoiceLine.i
  Purpose     : 
  Syntax      : 
  Description : 
  Author(s)   : marc
  Created     : 31-08-2018 16:57:14
  Syntax      : 
------------------------------------------------------------------------*/

/* ***************************  Main Block  *************************** */

DEFINE TEMP-TABLE ttInvoiceLine BEFORE-TABLE bttInvoiceLine
    FIELD amount LIKE ec-invoice-line.amount
    FIELD blnr LIKE ec-invoice-line.blnr
    FIELD bookingnr LIKE ec-invoice-line.bookingnr
    FIELD ca_consignee_addressnr LIKE ec-invoice-line.ca_consignee_addressnr
    FIELD ca_shipper_addressnr LIKE ec-invoice-line.ca_shipper_addressnr
    FIELD calc_ca_bl_reference AS CHARACTER LABEL "B/L Reference"
    FIELD companycode LIKE ec-invoice-line.companycode
    FIELD containernr LIKE ec-invoice-line.containernr
    FIELD containerprefix LIKE ec-invoice-line.containerprefix
    FIELD costcode LIKE ec-invoice-line.costcode
    FIELD currencycode LIKE ec-invoice-line.currencycode
    FIELD debtor_addressnr LIKE ec-invoice-line.debtor_addressnr
    FIELD dt_begin LIKE ec-invoice-line.dt_begin
    FIELD dt_end LIKE ec-invoice-line.dt_end
    FIELD dt_in LIKE ec-invoice-line.dt_in
    FIELD dt_out LIKE ec-invoice-line.dt_out
    FIELD free_days LIKE ec-invoice-line.free_days
    FIELD full_empty LIKE ec-invoice-line.full_empty
    FIELD in_moverefnr LIKE ec-invoice-line.in_moverefnr
    FIELD ind_completed LIKE ec-invoice-line.ind_completed
    FIELD ind_pending LIKE ec-invoice-line.ind_pending
    FIELD ind_selected LIKE ec-invoice-line.ind_selected
    FIELD invoice_key_linenr LIKE ec-invoice-line.invoice_key_linenr
    FIELD invoice_keynr LIKE ec-invoice-line.invoice_keynr
    FIELD invoice_split LIKE ec-invoice-line.invoice_split
    FIELD invoice_typecode LIKE ec-invoice-line.invoice_typecode
    FIELD invoicenr LIKE ec-invoice-line.invoicenr
    FIELD item_seqnr LIKE ec-invoice-line.item_seqnr
    FIELD line_seqnr LIKE ec-invoice-line.line_seqnr
    FIELD linecode LIKE ec-invoice-line.linecode
    FIELD locationcode LIKE ec-invoice-line.locationcode
    FIELD motcode LIKE ec-invoice-line.motcode
    FIELD out_moverefnr LIKE ec-invoice-line.out_moverefnr
    FIELD pending_seqnr LIKE ec-invoice-line.pending_seqnr
    FIELD pod_portcode LIKE ec-invoice-line.pod_portcode
    FIELD pol_portcode LIKE ec-invoice-line.pol_portcode
    FIELD remark_no_invoice LIKE ec-invoice-line.remark_no_invoice
    FIELD remarks_1 LIKE ec-invoice-line.remarks_1
    FIELD remarks_2 LIKE ec-invoice-line.remarks_2
    FIELD remarks_3 LIKE ec-invoice-line.remarks_3
    FIELD remarks_4 LIKE ec-invoice-line.remarks_4
    FIELD remarks_5 LIKE ec-invoice-line.remarks_5
    FIELD run_seqnr LIKE ec-invoice-line.run_seqnr
    FIELD servicecode LIKE ec-invoice-line.servicecode
    FIELD shipment_seqnr LIKE ec-invoice-line.shipment_seqnr
    FIELD strp_moverefnr LIKE ec-invoice-line.strp_moverefnr
    FIELD tariff LIKE ec-invoice-line.tariff
    FIELD tariff_amount LIKE ec-invoice-line.tariff_amount
    FIELD tariff_refnr LIKE ec-invoice-line.tariff_refnr
    FIELD tariff_seqnr LIKE ec-invoice-line.tariff_seqnr
    FIELD typecode LIKE ec-invoice-line.typecode
    FIELD vatcode LIKE ec-invoice-line.vatcode
    FIELD vatperc LIKE ec-invoice-line.vatperc
    FIELD vesselcode LIKE ec-invoice-line.vesselcode
    FIELD xref_consignee AS CHARACTER LABEL "Consignee"
    FIELD xref_debtor AS CHARACTER LABEL "Debtor"
    FIELD xref_shipper AS CHARACTER LABEL "Shipper"
    FIELD xref_status AS CHARACTER LABEL "Status"
    FIELD xref_tariffs AS CHARACTER LABEL "Tariffs"
.

DEFINE DATASET dsInvoiceLine FOR ttInvoiceLine.